• Nginx Corrige Falhas de Segurança

    O Nginx e sua equipe de desenvolvedores, lançou uma versão atualizada estável, a 1.4.1 e versão de desenvolvimento, a 1.5.0, para corrigir uma grande falha de segurança detectada no seu popular aplicativo Web open source. Um buffer overflow stack-based foi relatado, além da ocorrência de processos que poderiam levar à execução de código arbitrário. A falha, relatada no CVE-2013-2028, apareceu no NGINX 1.3.9, um ramo de desenvolvimento do servidor lançado em novembro de 2012 e que parece ter persistido por ainda estar presente no lançamento de abril desse ano.


    Além disso, a devida correção está disponível para a falha encontrada, que foi descoberta por Greg MacManus, da iSIGHT Partners Labs; as versões atualizadas estão disponíveis a partir do site do Nginx. Dado que a versão 1.4.0 tornou-se disponível apenas há algumas semanas, muitos sites provavelmente ainda irão executar o ramo afetado mais estável do NGINX - o 1.2 - publicado originalmente em abril de 2012. A mais recente versão de correção de bugs é a 1.2.8, liberada em abril do ano passado.


    Saiba Mais:

    [1] Heise On-line http://www.h-online.com/open/news/it...w-1858438.html

Visite: BR-Linux ·  VivaOLinux ·  Dicas-L